import React, { Component } from 'react';
import Logo from '../images/header-logo.png';
import { connect } from 'react-redux';
import { signIn } from '../../store/actions/authAction';
import { Redirect } from 'react-router-dom';

class Signin extends Component {
    state = {
        email: '',
        password: ''
    }

    handleChange = (e) => {
        this.setState({
            [e.target.id]: e.target.value
        })
    }

    handleSubmit = (e) => {
        e.preventDefault();
        this.props.signIn(this.state);
    }
    render(){
        const { authError, auth } = this.props;
        if( auth.uid ) return <Redirect to='/' />
        return(
            <div className="Login">
               <div className="login-wrap">
                    <div className="text-center">
                        <img src={Logo} alt="Logo" className="logo-login" />
                    </div>
                    <form onSubmit={this.handleSubmit}>
                        <div className="form-group">
                            <label htmlFor="email">Email:</label>
                            <input type="email" className="form-control" id="email" onChange={this.handleChange} placeholder="Enter email" name="email" />
                        </div>
                        <div className="form-group">
                            <label htmlFor="pwd">Password:</label>
                            <input type="password" className="form-control" id="password" onChange={this.handleChange} placeholder="Enter password" name="pwd" />
                        </div>
                        <button className="btn btn-primary">Submit</button>
                        <div className="form-group">                  
                            { authError ? <label className="error text-danger"> { authError } </label> : null }
                        </div>
                    </form>
                </div>
            </div>
        )
    }
}

const mapStateToProps = (state) => {
    return {
        authError: state.auth.authError,
        auth: state.firebase.auth
    }
}

const mapDisToProps = (dispatch) => {
    return {
        signIn: (credentials) => dispatch(signIn(credentials)) 
    }
}

export default connect(mapStateToProps, mapDisToProps)(Signin);