import React, { Component } from 'react'
import Navbar from '../layout/Navbar';
import ManageShift from '../layout/ManageShift';
import ShiftReport from '../layout/ShiftReport';
import { connect } from 'react-redux';
import { Redirect } from 'react-router-dom';
import { firestoreConnect } from 'react-redux-firebase';
import { compose } from 'redux';

class Dashboard extends Component {
    render() {
        const { profile, auth, shiftList, schedule } = this.props;
        const list = shiftList && shiftList.length ? (
            shiftList.filter(l => {
                return l.empId == auth.uid
            })
          ) : null

        if( !auth.uid ) return <Redirect to='/signin' />
        return (
            <div id="content">
                <Navbar profile = { profile } />
                <ManageShift />
                <ShiftReport workList={ list } schedule={ schedule } />
            </div>
        )
    }
}

const mapStateToProps = (state) => {
    console.log(state); 
    return{
        shiftList: state.firestore.ordered.Shifts,
        schedule: state.firestore.ordered.schedule,
        auth: state.firebase.auth,
        profile: state.firebase.profile
    }
}

export default compose(
    firestoreConnect([
        {collection: 'Shifts'},
        {collection: 'schedule'}
      ]),
    connect(mapStateToProps)
)(Dashboard)
