import React from 'react'
import { connect } from 'react-redux';
import { signOut } from '../../store/actions/authAction';
import { Link } from 'react-router-dom';
const Navbar = (props) => {
    return(
        <nav className="navbar navbar-expand-lg navbar-light bg-primary">
            <div className="container">
                <Link className="navbar-brand" to="/">
                    <h5>Employee Management</h5>
                </Link>
                <h5 className="text-center">Welcome { props.profile.firstName} { props.profile.lastName }</h5>
                <button  type="button" onClick={ props.signOut } className="btn btn-success btn-sm float-right btn-logout">Logout</button>
            </div>
        </nav>
    )
}

const mapDispatchToProps = (dispatch) => {
    return{
        signOut: () => dispatch(signOut())
    }
}
export default connect(null, mapDispatchToProps)(Navbar)
